/*list screen*/

.s-product-list {

	// style input search list product
	.m-portlet__body-head{
	    .m-portlet__body-head-top{
			width: 100%;
			.m-portlet__body-head-top-left {
				align-items: center;
			}
	      	.m-portlet__body-head-top-left,  .m-portlet__body-head-top-right{
	        	width: 50%;
	        	float: left;
	        	display: flex;
	      	}
	      	.m-portlet__body-head-top-right{
	        	justify-content: flex-end;
		        .search{
			        input{
		           		width: 200px;
			        }
		        	span{
		            	pointer-events: none;
		        	}
		        }
	        	.m-btn{
		          	&:focus{
		            	background-color: transparent;
		          	}
		        }
	      	}
	    }
	}
	
	.dataTables_wrapper {
		table {
			tr {
				td {
					img {
						width: 100px;
						height: 100px;
					}
					&.unit {
						span {
							margin: 0 auto;
							display: table;
						}
					}
					&.retail_price,
					&.wholesale_price,
					&.promotion_price,
					&.stock {
						span {
							float: right;
						}
					}
				}
			}
		}
	}

	/*add new screen*/
	.add-new-product {
		form {
			h3.m-form__heading-title {
				margin-top: 15px;
			}
			.m-radio-inline {
				display: inline-block;
			    width: 100%;
			    height: 30px;
			}
			li.list-inline-item {
				margin: 0.5rem 0.3rem 0 0 !important;
				.m-badge.m-badge--wide {
				    padding: 3px 10px !important;
				    .close {
				    	margin-left: 5px;
						font-size: 15px;
						margin-top: 3px;
						position: static;
						padding: 0;
						width: auto;
						height: auto;
						right: 0;
						top: 0;
						line-height: 16px;
						-webkit-transform: translateY(0);
						transform: translateY(0);
				    }
				}
			}
			.product-files-upload {
				margin-bottom: 10px;
			}
			.preview-file {
				display: block;
				margin-bottom: 5px;
			}
			.add-media-image {
				list-style: none;
				padding: 0;
				li.image-item {
					height: auto;
				    width: 84px;
				    display: inline-block;
				    position: relative;
				    margin-right: 1%;
				    img {
				    	width: 100%;
		    			display: block;
		    			background: #f7f7f7;
				    }
				    .close {
					    font-size: 1.5rem;
					    text-shadow: none;
					    //background: none repeat scroll 0% 0% rgba(0, 0, 0, 0.7);
					    background: #fff;
					    //padding: 2px 5px;
						width: 20px;
						height: 20px;
						line-height: 20px;
						text-align : center;
					    padding: 0;
					    position: absolute;
						color: #575962;
					    right: 0px;
					    top: 0px;
					    cursor: pointer;
					    opacity: 0.75;
						transform: translateY(0);
				    }
				    &.thumbnail {
				    	width: 120px !important;
				    }
				}
			}
			.add-media-attachment {
				list-style: none;
    			padding: 0;
    			li.attachment-item {
    				position: relative;
    				span.preview-file {
					    color: #00a4bd;
					    margin-bottom: 3px;
					    display: inline-block;
    				}
    				.close {
    					float: none;
					    position: absolute;
					    margin: 1px 0 0 5px;
    				}
    			}
			}
			.has-danger {
				.m--font-danger {
					margin-bottom: 10px;
				}
			}
		}
	}

	.s--table{

		.id {
			width: 40px;
			text-align: left;
			.m-radio > input, .m-checkbox {
				padding-left: 0;
				input {
					width: 18px;
					height: 18px;
				}
			}
		}

		.name{
			max-width: 180px;
		}

		.action{
			width: 70px;
		}

		//.thumbnail_url, .sku, .unit, .retail_price, .wholesale_price, .promotion_price, .stock{
		//	max-width: 100px;
		//}

		.category{
			max-width: 160px;
		}

		.description{
			max-width: 300px;
		}

		tr td, tr th {
			max-width: 120px;
		}
	}
}

/*detail screen*/

.single-product-page {
	.product-tab-view {
		display: inline-block;
	    width: 100%;
	    margin-top: 20px;
	    .form-group {
	    	margin-bottom: 1.5rem !important;
	    }
	    .product-tab-view-left {
	    	width: calc((100% - 20px) / 2);
	    	float: left;
	    	margin-right: 20px;
	    	&.description {
	    		width: 63% !important;
	    	}
	    	.editor-description-content {
	    		height: 322px;
    			overflow: auto;
    			img {
    				max-width: 100%;
    			}
	    	}
	    }
	    .product-tab-view-right {
	    	width: calc((100% - 20px) / 2);
	    	float: right;
	    	.label-image-description {
	    		padding-left: 10px;
	    	}
	    	.thumbnail-image {
	    		margin-bottom: 2.5rem;
	    		img {
		    		height: 133px;
		    		width: auto;
	    		}
	    	}
	    	.list-file-attachment {
	    		display: block;
	    		list-style: none;
	    		padding-left: 0;
	    		.file-item {
	    			display: flex;
	    			margin-bottom: 5px;
	    			.fa {
	    				padding-left: 10px;
	    			}
	    		}
	    	}
	    	.list-image-description {
	    		display: contents;
	    		list-style: none;
	    		.image-item {
	    			height: 110px;
				    width: 110px;
				    padding: 0 0 10px 10px;
	    			img {
	    				width: 100%;
	    			}
	    		}
	    	}
	    	&.description {
	    		width: 34% !important;
	    	}
	    }
	    .list-inline-item {
			padding: 0 7px 7px 0;
		}
	}
	.m-portlet__body {
		.m-widget7__img {
			border-radius: 50%;
		}
		.s--modal-product-edit-modal {
			.modal-content {
				.modal-body {
					.m-form__group {
						ul.list-unstyled {
							margin-top: 15px !important;
							li.list-inline-item {
								margin-bottom: 7px;
								.close {
									font-size: 1.3rem;
									padding: 1.2px 0 0 3px;
								}
							}
						}
						ul.list-image-description {
							list-style: none;
							padding: 0;
							li.image-item {
								height: auto;
				    			width: 84px;
							    display: inline-block;
							    position: relative;
							    margin-right: 1%;
							    img {
							    	width: 100%;
								    display: block;
								    background: #f7f7f7;
							    }
							    .close {
									font-size: 1.5rem;
									text-shadow: none;
									//background: none repeat scroll 0% 0% rgba(0, 0, 0, 0.7);
									background: #fff;
									//padding: 2px 5px;
									width: 20px;
									height: 20px;
									line-height: 20px;
									text-align : center;
									padding: 0;
									position: absolute;
									color: #575962;
									right: 0px;
									top: 0px;
									cursor: pointer;
									opacity: 0.75;
									transform: translateY(0);
							    }
							}
						}
					}
					.upload-btn-wrapper {
						position: relative;
						overflow: hidden;
						display: block;
						margin-top: 8px;
					}
					.upload-btn-wrapper input[type=file] {
						font-size: 23px;
						position: absolute;
						left: 0;
						top: 0;
						opacity: 0;
					}
				}
			}
		}
	}
	.ql-editor {
    	font-size: 13px !important;
    }
}

.s-product-list {

	/*trash screen*/
	&.trash-screen {
		//.dataTables_wrapper {
		//	table {
		//		td {
		//			&.category {
		//				max-width: 180px;
		//			}
		//			&.retail_price,
		//			&.wholesale_price,
		//			&.promotion_price {
		//				//max-width: 150px;
		//			}
		//		}
		//	}
		//}
	}

	/*popup edit*/
	.popup-edit {
		.modal-body {
			.modal-footer {
				padding: 0;
				margin-top: 15px;
				border: none
			}
		}
	}
}

.has-danger {
	.form-control {
		border-color: #f4516c;
	}
	.v-select {
		.dropdown-toggle {
			border-color: #f4516c !important;
		}
	}
}

.quillWrapper {
	.ql-toolbar {
		.ql-formats {
			margin-bottom: 5px;
			button {
				width: 22px;
				svg {
				    width: 17px !important;
					height: 17px !important;
				}
			}
		}
	}

	.ql-container {
		.ql-editor {
			font-size: 13px !important;
		}

	}
}

